Skip to main content
POST
Create API key

Authorizations

Authorization
string
header
required

Clerk session JWT for the web app (active organization required), or an organization-scoped SEAOTTER access key (so_…) from POST /api/v1/api-keys for programmatic / docs try-it / MCP use. The same so_… value is both Authorization: Bearer so_… and SEAOTTER_API_KEY.

Body

application/json
name
string
required

Label for this key

Required string length: 1 - 120
Example:

"ci-deploy"

purpose
string
default:general

Stable client purpose; MCP purposes retain one active key

Maximum string length: 64
Pattern: ^(general|mcp:(cursor|claude|codex))$
Example:

"mcp:cursor"

Response

Successful Response

id
string<uuid>
required
name
string
required
purpose
string
required
key_prefix
string
required

First characters of the secret for identification

created_at
string<date-time>
required
last_used_at
string<date-time> | null
secret
string | null

Full secret — returned only once on create

Example:

"so_…"